[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: tech-ctte help needed: main dependencies on non-free/contrib


On Thu, Jul 19, 2012 at 02:51:14PM +0100, Ian Jackson wrote:
> We also have this:
>   gscan2pdf: Recommends: 'cuneiform' [choice 1: cuneiform from non-free]
> which looks like a bug, which I have filed.

There's also these:

capi4hylafax: Recommends: 'isdnactivecards' [choice 1: isdnactivecards from contrib]
deutex: Recommends: 'doom-wad' [choice 1: doom-wad-shareware from non-free]
rt4-apache2: Recommends: 'libapache2-mod-fastcgi' [choice 1: libapache2-mod-fastcgi from non-free]
task-serbian: Recommends: 'opendict-plugins-lingvosoft' [choice 1: opendict-plugins-lingvosoft from contrib]

In all these cases, apt-get installs a package from non-free or contrib when
installing a package from main with non-free or contrib enabled. I have filed
bugs for these packages.

> And this:
>   yagf: Depends: 'cuneiform | tesseract-ocr' [choice 1: cuneiform from non-free]
> which is also a bug but a less serious one.

Why is this less serious? When you install yagf (with non-free enabled),
apt-get installs cuneiform, which is non-free.



Reply to: